class MostDestructiveGameRules extends GameRules;

function int NetDamage( int OriginalDamage, int Damage, pawn injured, pawn instigatedBy, vector HitLocation, vector Momentum, class<DamageType> DamageType )
{
	if ( (instigatedBy != injured) && (instigatedBy != None) && (instigatedBy.Controller.PlayerReplicationInfo != None) && (injured.PlayerReplicationInfo != None) && ((instigatedBy.PlayerReplicationInfo.Team == None) || (instigatedBy.PlayerReplicationInfo.Team != injured.PlayerReplicationInfo.Team)) ) {
		instigatedBy.Controller.PlayerReplicationInfo.Score += Min(Damage, injured.Health);
		// Team HUD only goes to 999 right now so leave Team score alone
		// instigatedBy.Controller.PlayerReplicationInfo.Team.Score += Min(Damage, injured.Health);
	}
	
	if (instigatedBy == injured)
		injured.Controller.PlayerReplicationInfo.Score -= Min(Damage, injured.Health);	

	injured.Controller.PlayerReplicationInfo.Deaths += Min(Damage, injured.Health);

	if ( NextGameRules != None )
		return NextGameRules.NetDamage( OriginalDamage,Damage,injured,instigatedBy,HitLocation,Momentum,DamageType );
	return Damage;
}

function ScoreKill(Controller Killer, Controller Killed)
{
	if (Killer != Killed) {
		Killer.PlayerReplicationInfo.Score -= 1;
		// Team HUD only goes to 999 right now so leave Team score alone
		// Killer.PlayerReplicationInfo.Team.Score -= 1;
	}
		
	Killed.PlayerReplicationInfo.Deaths -= 1;	
	
	if ( NextGameRules != None )
		NextGameRules.ScoreKill(Killer,Killed);
}

